@import url(../Cesium-1.114/Build/Cesium/Widgets/widgets.css);
@font-face {
   font-family: 'Noto Sans JP';
   src: url('../Noto_Sans_JP/static/NotoSansJP-Regular.ttf') format("truetype");
}
.user-select-none {
   user-select: none;
   -moz-user-select: none;
   -webkit-user-select: none;
   -ms-user-select: none;
}
.cesium-viewer-toolbar {
  position: absolute;
  right: 10px;
  top: 10px;
}
.cesium-credit-logoContainer {
    visibility:hidden;
}
.carousel-indicators{
  margin-bottom:0rem !important;
}
.carousel-control-prev {
  margin-bottom: 20%;
}
.carousel-control-next {
  margin-bottom: 20%;
}
table {
  border-collapse: separate;
  border-spacing: 2px;
}
.layers {
  color:#ffffff;
  font-size:90%;
  padding:0 3px;
}
.layertreedialog_pankz_frame {
    border-bottom: 1px solid #999;
    background-color: #f4f4f4;
    padding: 2px 0 2px 2px;
}

.layertreedialog_pankz_frame * {
    font-family: 'Noto Sans JP', sans-serif;
    font-size: 11px;
}

#video {
  width: 330px;
}
ul {
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}
li {
    display: list-item;
    text-align: -webkit-match-parent;
}
ul.caption-units{
  margin-block-start: 0em;
  margin-block-end: 1em;
}
ul.basemap-selector {
  position: relative;
  display: none;
  list-style: none;
  background-color: #303030D0;
  padding-left: 0em;
  width: 200px;
  top: -260px;
  right: 50px;
  border-radius: 4px;
}
.basemap-selector li {
  position: relative;
  padding-left: 0em;
  text-align: center;
  z-index: 2;
  left: 0px;
  height: 30px;
  color: #FFFFFF;
  cursor: pointer;
}
#texture {
  border-bottom: 1px solid #DDDDDDD0;
}
#kozui {
  border-bottom: 1px solid #DDDDDDD0;
}
#dosha {
  border-bottom: 1px solid #DDDDDDD0;
}
#tsunami {
  border-bottom: 1px solid #DDDDDDD0;
}
.f-container {
  flex-direction: column;
}
#cesiumContainer {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    margin: 0;
    overflow: hidden;
    padding: 0;
    font-family: 'Noto Sans JP', sans-serif;
}
#chizuContainer {
    position: absolute;
    bottom: 100px;
    right: 10px;
    width: 150px;
    height: 100px;
    z-index: 2;
    border-radius: 4px;
    background-color: #303030D0;
    font-family: 'Noto Sans JP', sans-serif;
}
#screenContainer {
    display: none;
    position: absolute;
    bottom: 58px;
    right: 10px;
    width: 150px;
    height: 224px;
    z-index: 2;
    border-radius: 4px;
    background-color: #FFFFFFDD;
    font-family: 'Noto Sans JP', sans-serif;
}
#isekiContainer {
    display: none;
    position: absolute;
    text-align: center;
    top: 465px;
    left: 10px;
    width: 330px;
    height: 200px;
    z-index: 2;
    border-radius: 4px;
    background-color: #FFFFFFFF;
    font-family: 'Noto Sans JP', sans-serif;
}
.cesium-navigation-button-selected {
    font-family: 'Noto Sans JP', sans-serif;
}
.cesium-navigation-button-unselected {
    font-family: 'Noto Sans JP', sans-serif;
}
.description_btn {
    font-family: 'Noto Sans JP', sans-serif;
    position: absolute;
    display: inline-block;
    right: 31px;
    top: 17px;
    z-index: 10;
    text-align: center;
    font-size: 12px;
    line-height: 18px;
    cursor: pointer;
    background-color: rgb(29, 65, 122);
    height: 20px;
    width: 22px;
    color: rgb(238, 238, 238);
    user-select: none;
    border-radius: 50%;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(204, 204, 204);
    border-image: initial;
}
.cesium-credit-lightbox {
    z-index: 100;
    font-size: 12px !important;
    font-family: 'Noto Sans JP', sans-serif !important;
}
.cesium-infoBox-camera {
    display: none;
    visibility:hidden;
}
.cesium-credit-expand-link {
    z-index: 100;
    position: absolute;
    bottom: 2px;
    left: 2px;
    text-decoration: none !important;
    font-size: 12px !important;
    font-family: 'Noto Sans JP', sans-serif !important;
}
html, body {
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
    font-family: 'Noto Sans JP', sans-serif;
    position: relative;
    overflow: hidden;
}
#loading {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0px;
  left: 0px;
  background: #212529;
  z-index: 1;
}

.popup-overlay {
  display: none;
  z-index: 99999;
  background-color: #00000070;
  position: fixed;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
}
#popup:checked ~ .popup-overlay {
  display: block;
  z-index: 99999;
  background-color: #00000070;
  position: fixed;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
}
.popup-window {
  width: 90vw;
  height: 100vh;
  max-width: 690px;
  max-height: 640px;
  padding: 15px;
  background-color: #ffffff;
  border-radius: 6px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow-y: scroll;
  overflow-x: hidden;
  vertical-align: middle;
}

.popup_image{
  width: 330px;
  float: left;
  /* margin-right: 20px; */
  min-height:220px;
  margin:30px 20px 20px 0;
}
.popup_image img {
  width: 330px;
  max-height: 220px;
  object-fit: contain;
}
.popup-text {
  margin-top: 20px;
}

.qrcode {
  width: 330px;
}

.popup-text:not(:last-of-type) {
  margin-bottom: 1em;
}
.popup_title{
  width: 640px;
  margin:0 auto 20px;
  background-color:#ffffff;
  font-weight: bold;
  font-size:1.2em;
  text-align: center;
}
.caption-overlay {
  display: none;
  z-index: 99999;
  background-color: #00000070;
  position: fixed;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
}
.caption-window {
  width: 90vw;
  height: 100vh;
  max-width: 800px;
  max-height: 700px;
  padding: 15px;
  background-color: #ffffff;
  border-radius: 6px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow-y: scroll;
  overflow-x: hidden;
  vertical-align: middle;
}

.caption-area {
  width: 100vw;
  height: 100vh;
  padding: 15px;
  background-color: #ffffff;
  position: relative;
  overflow-y: scroll;
  overflow-x: hidden;
}
h1.caption_title{
  text-align: center;
}
li.caption_midashi{
  list-style: square;
  font-size: 24px;
}
ul.caption-units{
  font-size: 16px;
}
.hazard-detail{
  margin-top:5px;
}
.hazard-qrunit{
  list-style: none;
}
.qr_block{
  display: table-cell;
  text-align: center;
  width:250px;
  margin-right:30px;
}
#map-caption {
  position:absolute;
  left:110px;
  bottom:5px;
  z-index:2;
  font-size:15px;
}
@media (max-width: 768px) {
  .popup-text {
    font-size: 80%;
  }
  .popup_info {
    font-size: 80%;
  }
  .popup_title {
    font-size: 80%;
    width: 320px;
  }
  .popup_image {
    width: 300px;
    float: none;
  }
  .qrcode {
    width: 300px;
    float: none;
  }
  .carousel-indicators {
    bottom: 20px;
  }
  #video {
    width: 300px;
  }
  #map-caption {
    left: 10px;
    top: 490px;
    bottom: initial;
    font-size: 11px;
  }
}

.popup-close {
  content: "×";
  color: black;
  cursor: pointer;
  position: absolute;
  top: 7px;
  right: 7px;
  width: 46px;
  height: 46px;
}

.popup-close::before{
  content: "×";
  font-size: 32px;
}
.caption-close {
  content: "×";
  color: black;
  cursor: pointer;
  position: absolute;
  top: 7px;
  right: 7px;
  width: 46px;
  height: 46px;
}

.caption-close::before{
  content: "×";
  font-size: 32px;
}
.popup-window::-webkit-scrollbar {
  width: 5px;
  background: #dddddd;
  margin:3px;
}

.popup-window::-webkit-scrollbar-thumb {
  background-color:#cccccc;
  border-radius: 5px;
}

.popup-window::-webkit-scrollbar-thumb:hover {
  background-color: #bbbbbb;
}
.popup_info{
  display: flex;
  align-items: center;
  margin:5px 0;
  /* min-height:260px; */
}
.popup_info svg{
  margin-right: 5px;
  min-width: 16px;
}
.popup_info a{
  display: block;
  /* color: #1d3994; */
  font-weight: bold;
  text-decoration: none;
}
.popup_note{
  display: flex;
  align-items: center;
  margin:5px 0;
  /* min-height:260px; */
}
.popup_note svg{
  margin-right: 5px;
  min-width: 16px;
}
a:link{
  /color:#0066c0;
}
a:visited{
  color:#0066c0;
}

.layer_dialog {
    position: absolute;
    z-index: 10000;
    left: 164px;
    top: 64px;
    border: 3px solid #333;
    background: #fff;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
    behavior: url(border-radius.htc);
    padding: 1px;
    box-shadow: 2px 2px 1px 1px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 2px 2px 1px 1px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 2px 2px 1x 1px rgba(0, 0, 0, 0.1);
    width: 270px; /* 320 */
}

.layer_dialog.deactive {
    border: 3px solid #666;
}

.layer_dialog_header {
    color: #fff;
    background: #303258;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    behavior: url(border-radius.htc);
    font-size: 150%;
    padding: 1px 20px 1px 4px;
    /* border: 2px solid #555; */
    cursor: move;
    position: relative;
}

.layer_dialog_header .title {
    padding: 3px 0 3px 0;
}

.layer_dialog_header .minimizebtn {
    vertical-align: bottom;
    color: #fff;
    text-decoration: none;
    position: absolute;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    font-weight: bold;
    font-size: 11pt;
    right: 26px;
    width: 24px;
    height: 24px;
    line-height: 24px;
    top: 50%;
    margin-top: -12px;
    text-align: center;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    behavior: url(border-radius.htc);
    z-index: 99;
}

.layer_dialog_header .closebtn {
    vertical-align: bottom;
    color: #fff;
    text-decoration: none;
    position: absolute;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    font-weight: bold;
    right: 2px;
    width: 24px;
    height: 24px;
    line-height: 24px;
    top: 50%;
    margin-top: -12px;
    text-align: center;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    behavior: url(border-radius.htc);
    z-index: 99;
}

.layer_dialog_header .adelbtn {
    vertical-align: bottom;
    color: #fff;
    text-decoration: none;
    position: absolute;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    font-weight: bold;
    right: 50px;
    width: 24px;
    height: 24px;
    line-height: 24px;
    top: 50%;
    margin-top: -12px;
    text-align: center;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    behavior: url(border-radius.htc);
    z-index: 99;
}

.layer_dialog_content {
    padding-top: 2px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    behavior: url(border-radius.htc);
}

.layer_dialog_content_selected {
  position: relative;
  overflow-y: auto;
  max-height: 312px;
}

.viewlistdialog_control_frame {
    padding: 3px 3px 4px 3px;
    z-index: 101;
    position: relative;
    box-shadow: 0px 1px 1px 1px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 1px 1px 1px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0px 1px 1x 1px rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid #bbb;
    background: #f4f4f4;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
}

.view_list_dialog_button {
    margin-top: 0px;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    padding: 1px 6px 1px 6px;
    white-space: nowrap;
    border: 1px solid #888;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    behavior: url(border-radius.htc);
    text-decoration: none;
    font-size: 9.5pt;
    color: #333;
    vertical-align: middle;
    box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 1px 1px 2x 1px rgba(0, 0, 0, 0.1);
    font-weight: bold;
    text-shadow: 0 -1px 1px #FFF, -1px 0 1px #FFF, 1px 0 1px #FFF, 0 1px 1px #FFF;
    background: #f5f5f5;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(1.00, #f0f0f0), color-stop(0.00, #f5f5f5));
    background: -webkit-linear-gradient(#f5f5f5, #f0f0f0);
    background: -moz-linear-gradient(#f5f5f5, #f0f0f0);
    background: -o-linear-gradient(#f5f5f5, #f0f0f0);
    background: -ms-linear-gradient(#f5f5f5, #f0f0f0);
    background: linear-gradient(#f5f5f5, #f0f0f0);
}

.viewlistdialog_ul li a.item .title_base {
    padding-left: 32px;
    padding-right: 160px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
}

.viewlistdialog_ul li .closebtn {
    position: absolute;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    right: 17px;
    top: 24px;
    z-index: 10;
    font-size: 10px;
    width: 0.9em;
    height: 1.0em;
    border-left: 0.1em solid #474747;
    border-right: 0.1em solid #474747;
    border-bottom: 0.1em solid #474747;
    border-radius: 0 0 0.1em 0.1em;
    background: linear-gradient(to bottom, #ffffff 0%, #ffffff 100%) 0.2em 0.2em, linear-gradient(to bottom, #ffffff 0%, #ffffff 100%) 0.4em 0.2em, linear-gradient(to bottom, #ffffff 0%, #ffffff 100%) 0.6em 0.2em;
    background-color: #808080;
    background-size: 0.1em 0.7em;
    background-repeat: no-repeat;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    cursor: pointer;
}

.viewmark {
    position: absolute;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    padding: 0px 0px 0px 0px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    behavior: url(border-radius.htc);
    /* background: #2B7396; */
    background: rgba(244, 244, 244, 0.95);
    left: 2px;
    font-size: 9pt;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
}
.show {
    position: absolute;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    padding: 0px 3px 0px 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    behavior: url(border-radius.htc);
    /* background: #2B7396; */
    background: #808080;
    color: #fff;
    left: 201px;
    font-size: 10pt;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
}
.viewlistdialog_ul li .closebtn::before {
    content: "";
    position: absolute;
    top: -0.18em;
    left: -0.2em;
    width: 1.3em;
    height: 0.1em;
    background-color: #474747;
}

.viewlistdialog_ul li .closebtn::after {
    content: "";
    position: absolute;
    top: -0.38em;
    left: 0.3em;
    width: 0.1em;
    height: 0.2em;
    border-top: 0.1em solid #474747;
    border-left: 0.1em solid #474747;
    border-right: 0.1em solid #474747;
    border-radius: 0.1em 0.1em 0 0;
    background-color: #474747;
}
.layertreedialog_ul li a {
    color: #000;
    text-decoration: none;
    display: block;
    padding: 10px 2px 10px 0px;
    font-size: 95%;
    position: relative;
}

.layertreedialog_ul li a.folder .title {
    padding-left: 30px;
    background: url(images/folder_a.png) no-repeat 8px 50%;
    text-align: left;
}

.layertreedialog_ul_frame {
    position: relative;
    overflow-y: auto;
    max-height: 220px;
}

.layertreedialog_ul {
    color: #333;
    list-style: none;
    padding: 0;
    margin: 0;
    position: relative;
}

.layertreedialog_ul li {
    border-bottom: 1px solid #999;
    position: relative;
}

.layer_layertreedialog_itemtooltip {
    position: absolute;
    padding: 1px;
    background: #fff;
    z-index: 11000;
    border: 1px solid #bbb;
    left: 40px;
    top: 0px;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    padding: 8px;
    font-size: 9pt;
    opacity: .95;
    filter: alpha(opacity=95);
    -ms-filter: "alpha(opacity=95)";
    -khtml-opacity: .95;
    -moz-opacity: .95;
    max-height: 350px;
    overflow-y: auto;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
    behavior: url(border-radius.htc);
    box-shadow: 2px 2px 1px 1px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 2px 2px 1px 1px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 2px 2px 1x 1px rgba(0, 0, 0, 0.1);
}

/* スライダーcss */
input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  cursor: pointer;
  outline: none;
  height: 6px; /* 高さ */
  width: 128px; /* 幅 */
  background: #bbbbbb; /* 背景色 */
  border-radius: 10px; /* 両端の丸み */
  border: solid 1px #eeeeee; /* 周囲の線 */
}
/* WebKit向けのつまみ */
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  background: #777777; /* 背景色 */
  width: 28px; /* 幅 */
  height: 28px; /* 高さ */
  border: solid 1px #ffffff; /* つまみの線 */
  border-radius: 50%; /* 円形に */
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15); /* 影 */
}
/* Moz向けのつまみ */
input[type="range"]::-moz-range-thumb {
  background: #777777; /* 背景色 */
  width: 28px; /* 幅 */
  height: 28px; /* 高さ */
  border-radius: 50%; /* 円形に */
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15); /* 影 */
  border: none; /* デフォルトの線を消す */
  border: solid 1px #ffffff; /* つまみの線 */
}
/* Firefoxで点線が周りに表示されてしまう問題の解消 */
input[type="range"]::-moz-focus-outer {
  border: 0;
}
/* つまみをドラッグしているときのスタイル */
input[type="range"]:active::-webkit-slider-thumb {
  box-shadow: 0px 5px 10px -2px rgba(0, 0, 0, 0.3);
}
.btn {
    border-color: rgba(255, 255, 255, 0);
    border-width: 0px;
}
.btn-success {
    background: #303258; /* ボタンの背景色 */
    color: #ffffff; /* ボタンのテキストの色 */
}
.btn-success:hover, .btn-success:focus, 
.btn-success:active, .btn-success:active:focus, .btn-success:active:hover, .btn-success:active.focus,
.btn-success.active, .btn-success.active:focus, .btn-success.active:hover, .btn-success.active.focus,
.open > .dropdown-toggle.btn-success, 
.open > .dropdown-toggle.btn-success:hover,
.open > .dropdown-toggle.btn-success:focus, 
.open > .dropdown-toggle.btn-success.focus,
.btn-success.disabled:hover, .btn-success[disabled]:hover, fieldset[disabled] .btn-success:hover,
.btn-success.disabled:focus, .btn-success[disabled]:focus, fieldset[disabled] .btn-success:focus,
.btn-success.disabled.focus, .btn-success[disabled].focus, fieldset[disabled] .btn-success.focus {
    background: #2C364D; /* ボタンの上にポインタを持ってきたり、クリックしたりした時の背景色 */
    color: #ffffff; /* ボタンの上にポインタを持ってきたり、クリックしたりした時のテキストの色 */
}

.btn-success.outline {
    border: 3px solid #303258; /* アウトラインのみのボタンの線の色 */
    color: #ffffff; /* アウトラインのみのボタンのテキストの色 */
}
